# Ogre::ParameterDef Class Reference

Definition of a parameter supported by a StringInterface class, for introspection. More...

`#include <OgreStringInterface.h>`

List of all members.

## Public Member Functions

| ParameterDef (const String &newName, const String &newDescription, ParameterType newType)

## Public Attributes

String | name
String | description
ParameterType | paramType

## Detailed Description

Definition of a parameter supported by a StringInterface class, for introspection.

Definition at line 56 of file OgreStringInterface.h.

## Constructor & Destructor Documentation

Ogre::ParameterDef::ParameterDef | ( | const String & | newName,
|  | const String & | newDescription,
|  | ParameterType | newType
| ) |

| Definition at line 62 of file OgreStringInterface.h. References Ogre::String.

## Member Data Documentation

String Ogre::ParameterDef::description

| Definition at line 60 of file OgreStringInterface.h.

String Ogre::ParameterDef::name

| Definition at line 59 of file OgreStringInterface.h. Referenced by Ogre::ParamDictionary::addParameter().

ParameterType Ogre::ParameterDef::paramType

| Definition at line 61 of file OgreStringInterface.h.

The documentation for this class was generated from the following file:

- OgreStringInterface.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:40:28 2005